|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# fortunethread.h Example File
network/threadedfortuneserver/fortunethread.h

        #ifndef FORTUNETHREAD_H
        #define FORTUNETHREAD_H

        #include <QThread>
        #include <QTcpSocket>

        class FortuneThread : public QThread
        {
            Q_OBJECT

        public:
            FortuneThread(int socketDescriptor, const QString &fortune, QObject *parent);

            void run();

        signals:
            void error(QTcpSocket::SocketError socketError);

        private:
            int socketDescriptor;
            QString text;
        };

        #endif